<template>
    <div class="contacts-container">        
        <h1>ТОЧКИ</h1>
        <contact-point 
        v-for="polygon in getPolygons" 
        v-bind:key="polygon.id" 
        :polygon="polygon"/>
        <div class="franchise">
          <h1>ФРАНШИЗА</h1>
          <p>Своя пиццерия – легко!
          Предлагаем Вам открыть собственную пиццерию «Ма пицца» на очень выгодных
          условиях!
          </p>
          <p>
          <ul>
          <li>- Искомое помещение: 50-60м2</li>
          <li>- Взнос: 150 тыс. руб.</li>
          <li>- Роялти: 3%</li>
          <li>- Бюджет на открытие 4млн руб.</li>
          <li>- Рентабельность: 15-25%</li>
          <li>- Окупаемость: 2 года</li>
          </ul>
          </p>
          <br>
          <contact-form id="franchise-form" :withEmail="true" :titleText="'ОСТАВИТЬ ЗАПРОС'"/>          
          <button id="send-request" @click='onSend' v-scroll-to='{el: ".contacts-container", offset: shortOffset}'>ОТПРАВИТЬ ЗАПРОС</button>        
          <br><br>        
          <transition name='thanks'>
              <div id="thanks-form-back" v-show="getThanksWindow" @click='hideThanksWindow'>
                  <div id="thanks-form"  @click='hideThanksWindow'> 
                    Спасибо за Ваше обращение!<br>
                    В скором времени мы обязательно свяжемся с Вами!
                  </div>
              </div>
          </transition>
        </div>

    </div>    
</template>
<script>
import ContactPoint from "./ContactPoint";
import ContactForm from "./ContactForm";
import { mapGetters, mapMutations } from "vuex";
export default {
  components: {
    ContactPoint,
    ContactForm
  },
  computed: {
    ...mapGetters(["getPolygons", "getThanksWindow"])
  },
  methods: {
    ...mapMutations(["showThanksWindow", "hideThanksWindow"]),
    onSend(event) {
      this.$store.dispatch("sendFranchiseRequest");
      this.showThanksWindow();
    }
  }
};
</script>
<style scoped>
h1,
h2 {
  text-align: left;
  margin-top: 20px;
  margin-bottom: 20px;
}
li {
  display: block;
}
.franchise {
  text-align: left;
}
p {
  margin-top: 10px;
  margin-bottom: 10px;
}
.contacts-container {
  width: 100%;
  max-width: 840px;
  padding: 10px;
}

#send-request {
  border: none;
  display: block;
  border-radius: 10px;
  background-color: #f0712c;
  color: white;
  width: 300px;
  padding: 15px;
  margin-right: 10px;
  margin-top: 20px;
  transition: all 0.1s ease;
}
#send-request:hover {
  background-color: #de601b;
}
.thank {
  color: green;
  padding: 10px;
}
#thanks-form-back {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #00000055;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}
#thanks-form {
  display: block;
  flex: 1;
  max-width: 700px;
  min-width: 300px;
  padding: 50px;
  background-color: white;
  border: 1px solid #ddd;
  font-size: 1.5em;
  text-align: center;
  line-height: 1.5em;
}
.thanks-enter-active,
.thanks-leave-active {
  transition: opacity 0.1s;
}
.thanks-enter,
.thanks-leave-to {
  opacity: 0;
}
</style>